package app.api;

import app.services.AuthenticationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
class AuthController {

    @Autowired
    AuthenticationService authenticationService;

    @PostMapping(value = "/login",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public Map<String, String> getAuth(@RequestBody Map<String,String> credentials) {
        return authenticationService.authenticate(credentials);
    }

    @GetMapping(value = "/health")
    public String getHealth() {
        return "No errors!";
    }
}
