package app.entities;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "minute_paper")
public class MinutePaperEntity implements Serializable {

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    private int paperId;

    @Column
    private String username;

    @Column
    private String classCode;

    @Column
    private String name;

    @Column
    private String topic;

    @Column
    private boolean template;

    @Column
    private boolean anonymous;

    @Column
    @Temporal(TemporalType.DATE)
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date creationDate;

    public MinutePaperEntity(String username, String classCode, String name, String topic, boolean template, boolean anonymous, Date creationDate) {
        this.setUsername(username);
        this.setClassCode(classCode);
        this.setName(name);
        this.setTopic(topic);
        this.setTemplate(template);
        this.setAnonymous(anonymous);
        this.setCreationDate(creationDate);
    }

    public MinutePaperEntity() {
    }

    public int getPaperId() {
        return this.paperId;
    }

    public void setPaperId(int paperId) {
        this.paperId = paperId;
    }

    public String getUsername() {
        return this.username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getClassCode() {
        return this.classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTopic() {
        return this.topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public Date getCreationDate() {
        return this.creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public boolean isTemplate() {
        return this.template;
    }

    public void setTemplate(boolean template) {
        this.template = template;
    }

    public boolean isAnonymous() {
        return this.anonymous;
    }

    public void setAnonymous(boolean anonymous) {
        this.anonymous = anonymous;
    }

}
