package app.repositories;

import app.entities.StudentClassesEntity;
import app.entities.StudentClassesKey;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Optional;

@Repository
public interface StudentClassesEntityRepository extends CrudRepository<StudentClassesEntity, StudentClassesKey> {
    Optional<List<StudentClassesEntity>> findAllByUsername(String username);
    Optional<List<StudentClassesEntity>> findAllByClassCode(String classCode);
    int countAllByClassCode(String classCode);
    int countByUsername(String username);
}
