import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {LecturerRootComponent} from 'src/app/LecturerComponents/lecturer-root.component';
import {LecturerPaperViewComponent} from 'src/app/LecturerComponents/LecturerPaperView/lecturer-paper-view.component';
import {LecturerSubmissionsViewComponent} from 'src/app/LecturerComponents/LecturerSubmissionsView/lecturer-submissions-view.component';
import {LecturerResponseViewComponent} from 'src/app/LecturerComponents/LecturerResponseView/lecturer-response-view.component';
import {LecturerCreateOmpViewComponent} from 'src/app/LecturerComponents/LecturerCreateOMPView/lecturer-create-omp-view.component';
import {LecturerTemplateViewComponent} from 'src/app/LecturerComponents/LecturerTemplateView/lecturer-template-view.component';
import {LecturerEditTemplateViewComponent} from 'src/app/LecturerComponents/LecturerEditTemplateView/lecturer-edit-template-view.component';
import {LecturerViewPaperComponent} from 'src/app/LecturerComponents/ViewPaperComponents/lecturer-view-paper.component';


const lecturerRoutes = [
  { path: 'ldashboard', component: LecturerRootComponent },
  { path: 'paper-view', component: LecturerPaperViewComponent },
  { path: 'submissions-view', component: LecturerSubmissionsViewComponent},
  { path: 'response-view', component: LecturerResponseViewComponent },
  { path: 'creation-view', component: LecturerCreateOmpViewComponent },
  { path: 'creation-template-view', component: LecturerCreateOmpViewComponent },
  { path: 'template-view', component:   LecturerTemplateViewComponent },
  { path: 'view-paper', component:   LecturerViewPaperComponent },
  { path: 'edit-template-view', component:   LecturerEditTemplateViewComponent }
];

@NgModule({
  imports: [
    RouterModule.forChild(lecturerRoutes)
  ],
  exports: [
    RouterModule
  ]
})
export class LecturerRoutesModule {
}
